Jump to content
Poweramp
Sign in to follow this  
Linaka

Skin Update Required

Recommended Posts

I have the full verison or Pro of Poweramp and most of the skins that I bought states Skin update required!  I spent a lot of money on these skins and to have 98% of them not working has me pretty frustrated and disgruntled.  I am not happy. Please fix this bug or issue ASAP! :angry:

Share this post


Link to post
Share on other sites

Although you don't say, I assume you are using Lollipop on your phone?

Poweramp has already been updated so third-party skins can work on Android 5.0 devices, but the skin developers also need to update their code to match too. You'll probably need to contact them to request that they do this.

Andre

Share this post


Link to post
Share on other sites

Yes,  I have 5.0.1 Android (Lollipop) HTC Sense Version 6.0 on my HTC ONE M8 and ever since my cell has did a software update a couple days ago 98% of my skins are not functioning.  It was a pain in the arse but I actually did what you said and emailed the developers for each skin I had which is a ridiculous amount.  Thank you so much for the feedback :) .  I appreciate it.  I hope they will do this as soon as possible so that I may enjoy my player with style especially with the amount of money I've spent on skins.  I know it seems anal but the $$$ is what's getting me peeved.  <_<  :unsure:  :mellow:

Share this post


Link to post
Share on other sites

I don't actually think I've ever bought a skin for anything in my life, I tend to feel they're just cosmetic for the most part, but that's just me I guess. :)

Andre

Share this post


Link to post
Share on other sites

*So this is the response I get after contacting one of the developers and they state it's up to Poweramp to give them data so that they can create the update?  So this is going to be a dragged out process of the waiting game. 

 

we have several times the manufacturer-mails sent from Poweramp, that he gives us the data for which programming (update) of our skins for lolipop until now we have not get an answer
without his information, we can not create an update
we will try our best to resolve the problem as soon as possible

i have sent you the GO Locker TRIQUA Theme APK
if you install the APK directly from your email account, it should work 


best regards

Share this post


Link to post
Share on other sites

Hey Andre,

 

Ok so I've copy and pasted the latest update to two of the developers with this info via email.  Hopefully it works.

 

Nov 15, 2014
- updated skins SDK to allow building skins for Lollipop:
  - you can't use skin-defined attrs.xml (style attributes) as those are not working for lollipop resources
    Poweramp build-565 and above provides skin_ref1..skin_ref10, skin_bg1..skin_bg10, skin_color1..skin_color10,
    skin_dimen1..skin_dimen10 attributes to use freely in skins to workaround this issue. 
    Alternatively, you can just avoid such attributes or use some Poweramp defined ones (see attrs.xml)
  - you can't use skin-defined parent styles (e.g. <style name="Classic_LockScreenTheme" parent="@style/ClassicSkin">..), instead you need to duplicate theme style definition for dialogs and lock screen, if you used skin-defined parent styles for those. See updated skin_classic/res/classic_skin_styles.xml for details)
  - your Android SDK Tools should be updated to at least 23.0.5 AND Android SDK Build-tools 
    BOTH exactly 20.0.0 and 21.1.1 versions should be installed (via e.g. command line "android" tool)
    Having 2 build tools versions allows us to build one skin APK for both pre-Lollipop and Lollipop Android versions
  - NOTE: if the above limitations are too much, it's possible to build APK for 5.0+ only with ant apkpush-shared and ant dist-shared. Resulting APK won't be compatible with pre-Lollipop android versions, so you'll need to maintain 2 APK builds - for pre-5.0 and for 5.0+ Androids.
- updated skins InfoActivity to match Material theme on Lollipop. Also, it won't crash anymore if no Poweramp installed
- updated reference resources to match latest

Share this post


Link to post
Share on other sites

Ask them to use the forums here too, where there is a specific subforum for discussing skin development.

Andre

Share this post


Link to post
Share on other sites

I have the same issue :(

Have you followed the advice in this thread and contacted the skin developer?

Andre

Share this post


Link to post
Share on other sites

I don't like to "necro" topics, but... has there been any advance on this?

 

Ironically, even the Poweramp HD skins (that should be optimized already?) fail to load. I get this with White Plastic HD:

failed to load skin /data/app/com.maxmpz.poweramp.skins.aluwhite-2/base.apk resetting to default

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×